# CodiMD

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/codimd/status.svg)](https://drone.autonomic.zone/compose-stacks/codimd)

[CodiMD][codimd] using Coöp Cloud ♥

<!-- metadata -->
* **Category**: Apps
* **Status**: ❷💛
* **Image**: [`hackmdio/hackmd`](https://hub.docker.com/r/hackmdio/hackmd/), ❶💚, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: ❷💛
* **SSO**: ❶💚 (OAuth)
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`compose-stacks/traefik`][compose-traefik]
3. `abra app new codimd`
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Create initial user:
	```
	abra run YOURAPPDOMAIN app bash
	. /docker-entrypoint2.sh -e
	bin/manage_users
	```

[codimd]: https://github.com/hackmdio/codimd
[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/compose-stacks/traefik
